package com.jobs.client;

import com.jobs.pojo.Employee;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

@FeignClient("provider")
public interface EmployeeClient {

    @GetMapping("/provider/{id}")
    Employee getEmployeeById(@PathVariable("id") Integer id);
}
