package com.jobs.controller;

import com.jobs.pojo.Cost;
import com.jobs.service.ConsumerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RequestMapping("/consumer")
@RestController
public class ConsumerController {

    @Autowired
    private ConsumerService consumerService;

    @GetMapping("/{id}")
    public Cost queryCostDetail(@PathVariable("id") Integer id) {
        return consumerService.getCostById(id);
    }
}
