package com.jobs.service;

import com.jobs.client.EmployeeClient;
import com.jobs.pojo.Cost;
import com.jobs.pojo.Employee;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Random;

@Service
public class ConsumerService {

    @Autowired
    private EmployeeClient employeeClient;

    public Cost getCostById(Integer id) {
        Cost cost = new Cost();
        cost.setId(id);

        String[] arr = {"打车费", "团建费", "交通费", "招待费", "电话费", "住宿费"};
        Random rd = new Random();
        int index = rd.nextInt(6);
        cost.setCategory(arr[index]);
        cost.setMoney(rd.nextInt(500));

        Employee emp = employeeClient.getEmployeeById(id);
        cost.setEmployee(emp);

        return cost;
    }
}
